#ifndef AUDIOWIDGET_H
#define AUDIOWIDGET_H

#include <QTimer>

#include "audiolayerwidget.h"
#include "settings.h"
#include "miniaudioengine.h"
#include "defines.h" // MAX_LAYERS

class AudioWidget : public QWidget
{
    Q_OBJECT

public:
    AudioWidget();
    void mediaLoaded(int layer, QString media, float duration);
    void volChanged(int layer, float vol);
    void panChanged(int layer, int pan);
    void pitchChanged(int layer, int pitch);
    void playbackChanged(int layer, Status status);
    void cursorChanged(int layer, float cursor);
    QHBoxLayout *m_layout;

public slots:
    void uiSliderAction(int layer, Slider s, int value);
    void uiChangePlaybackStatus(int layer, Status s);

signals:
    void uiMediaLoaded(int layer, QString media );
    void uiVolChanged(int layer, float vol);
    void uiPanChanged(int layer, int pan);
    void uiPitchChanged(int layer, int pitch);
    void uiPlaybackChanged(int layer, Status status);
    void uiEntryPointChanged(int layer, int cursor);
};

#endif // AUDIOWIDGET_H
